# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "ice_nine"
  s.version = "0.11.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Dan Kubb"]
  s.date = "2013-12-19"
  s.description = "Deep Freeze Ruby Objects"
  s.email = ["dan.kubb@gmail.com"]
  s.extra_rdoc_files = ["LICENSE", "README.md", "TODO"]
  s.files = [".gitignore", ".pelusa.yml", ".rspec", ".ruby-gemset", ".travis.yml", ".yardopts", "CONTRIBUTING.md", "Gemfile", "Gemfile.devtools", "Guardfile", "LICENSE", "README.md", "Rakefile", "TODO", "benchmarks/speed.rb", "config/devtools.yml", "config/flay.yml", "config/flog.yml", "config/mutant.yml", "config/reek.yml", "config/roodi.yml", "config/rubocop.yml", "config/yardstick.yml", "ice_nine.gemspec", "lib/ice_nine.rb", "lib/ice_nine/core_ext/object.rb", "lib/ice_nine/freezer.rb", "lib/ice_nine/freezer/array.rb", "lib/ice_nine/freezer/false_class.rb", "lib/ice_nine/freezer/hash.rb", "lib/ice_nine/freezer/hash/state.rb", "lib/ice_nine/freezer/module.rb", "lib/ice_nine/freezer/nil_class.rb", "lib/ice_nine/freezer/no_freeze.rb", "lib/ice_nine/freezer/numeric.rb", "lib/ice_nine/freezer/object.rb", "lib/ice_nine/freezer/range.rb", "lib/ice_nine/freezer/rubinius.rb", "lib/ice_nine/freezer/struct.rb", "lib/ice_nine/freezer/symbol.rb", "lib/ice_nine/freezer/true_class.rb", "lib/ice_nine/support/recursion_guard.rb", "lib/ice_nine/version.rb", "spec/integration/ice_nine/class_methods/deep_freeze_bang_spec.rb", "spec/integration/ice_nine/class_methods/deep_freeze_spec.rb", "spec/shared/array_deep_freeze_shared_spec.rb", "spec/shared/hash_deep_freeze_shared_spec.rb", "spec/shared/ice_nine_deep_freeze_shared_spec.rb", "spec/shared/no_freeze_deep_freeze_shared_spec.rb", "spec/shared/object_deep_freeze_shared_spec.rb", "spec/shared/range_deep_freeze_shared_spec.rb", "spec/spec_helper.rb", "spec/support/config_alias.rb", "spec/unit/ice_nine/class_methods/deep_freeze_bang_spec.rb", "spec/unit/ice_nine/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/core_ext/object/deep_freeze_bang_spec.rb", "spec/unit/ice_nine/core_ext/object/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/array/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/class_methods/element_reader_spec.rb", "spec/unit/ice_nine/freezer/false_class/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/hash/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/module/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/nil_class/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/no_freeze/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/numeric/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/object/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/range/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/struct/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/symbol/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/true_class/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/recursion_guard/frozen/guard_spec.rb", "spec/unit/ice_nine/recursion_guard/object_set/guard_spec.rb", "spec/unit/object/deep_freeze_spec.rb"]
  s.homepage = "https://github.com/dkubb/ice_nine"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Deep Freeze Ruby Objects"
  s.test_files = ["spec/integration/ice_nine/class_methods/deep_freeze_bang_spec.rb", "spec/integration/ice_nine/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/class_methods/deep_freeze_bang_spec.rb", "spec/unit/ice_nine/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/core_ext/object/deep_freeze_bang_spec.rb", "spec/unit/ice_nine/core_ext/object/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/array/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/class_methods/element_reader_spec.rb", "spec/unit/ice_nine/freezer/false_class/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/hash/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/module/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/nil_class/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/no_freeze/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/numeric/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/object/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/range/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/struct/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/symbol/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/freezer/true_class/class_methods/deep_freeze_spec.rb", "spec/unit/ice_nine/recursion_guard/frozen/guard_spec.rb", "spec/unit/ice_nine/recursion_guard/object_set/guard_spec.rb", "spec/unit/object/deep_freeze_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, [">= 1.3.5", "~> 1.3"])
    else
      s.add_dependency(%q<bundler>, [">= 1.3.5", "~> 1.3"])
    end
  else
    s.add_dependency(%q<bundler>, [">= 1.3.5", "~> 1.3"])
  end
end
